Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.analysis
Interface EZBin

All Known Subinterfaces:
  EZDistribution

All Known Implementing Classes:
  EZBinImpl, EZDistributionImpl

public interface EZBin
extends SwarmObject, SwarmObjectS, GUIComposite, GUICompositeS

An easy to use histogram interface.. This class allows the user to easily histogram data generated by a collection of objects. In addition the class will generate some standard statistics over the resulting dataset.

Method Summary
`double` | `getAverage()` The getAverage method gets the average value in the dataset.
`int` | `getBinColorCount()` The getBinColorCount method gets the number of distinct bin colors allocated (by default, or by the user).
`int` | `getBinCount()` The getBinCount method gets the number of bins in the histogram.
`int` | `getCount()` The getCount method gets the number of entries which landed within the bounds of the histogram.
`java.lang.String` | `getFileName()` Return the filename string.
`Histogram` | `getHistogram()` Return the histogram widget.
`double` | `getLowerBound()` The getLowerBound method gets the lower bound on the histogram range.
`double` | `getMax()` The getMax method gets the maximum value in the dataset.
`double` | `getMin()` The getMin method gets the minimum value in the dataset.
`int` | `getOutliers()` The getOutliers method gets the number of entries which landed out of the bounds of the histogram.
`double` | `getStdDev()` The getStd method gets the standard deviation in the dataset.
`java.lang.String` | `getTitle()` Return the title string.
`double` | `getUpperBound()` The getUpperBound method gets the upper bound on the histogram range.
`void` | `output()` The output: method combines the actions of -outputGraph and -outputToFile.
`void` | `outputGraph()` The ouputGraph method causes the graphical display to be updated with the information extracted by the previous call to update.
`void` | `outputToFile()` The outputToFile method causes the number of entries per bin to be sent to the output file, using the data extracted by the previous call to update.
`void` | `reset()` The reset method resets the histogram.
`void` | `setPrecision(int precision)` Sets the number of significant figures shown for major-tick labels.
`void` | `update()` The update method polls the collection of objects and adds the data to the final data set.

Methods inherited from interface swarm.objectbase.SwarmObject
`getCompleteProbeMap, getProbeForMessage, getProbeForVariable, getProbeMap`

Methods inherited from interface swarm.simtoolsgui.GUIComposite
`disableDestroyNotification, enableDestroyNotification$notificationMethod`

Methods inherited from interface swarm.defobj.Drop
`drop`

Methods inherited from interface swarm.defobj.DefinedObject
`compare, describe, describeID, getDisplayName, getTypeName, getZone, perform, perform$with, perform$with$with, perform$with$with$with, respondsTo, setDisplayName, xfprint, xfprintid, xprint, xprintid`

Methods inherited from interface swarm.defobj.GetName
`getName`

Method Detail

### setPrecision

    public void setPrecision(int precision)

  Sets the number of significant figures shown for major-tick labels.

### reset

    public void reset()

  The reset method resets the histogram.

### update

    public void update()

  The update method polls the collection of objects and adds the data to the final data set. It is possible to poll the same collection of objects repeatedly, thus increasing the amount of data included in the final dataset, before generating output.

### outputGraph

    public void outputGraph()

  The ouputGraph method causes the graphical display to be updated with the information extracted by the previous call to update. If setGraphics==0, nothing is done.

### outputToFile

    public void outputToFile()

  The outputToFile method causes the number of entries per bin to be sent to the output file, using the data extracted by the previous call to update. If setFileOutput==0, nothing is done.

### output

    public void output()

  The output: method combines the actions of -outputGraph and -outputToFile. If graph updates and file output need to happen at different frequencies, schedule calls to -outputGraph and -outputToFile instead of -output.

### getCount

    public int getCount()

  The getCount method gets the number of entries which landed within the bounds of the histogram.

### getOutliers

    public int getOutliers()

  The getOutliers method gets the number of entries which landed out of the bounds of the histogram. Pressing the "o" key on the graphical representation of the histogram will display this value both as an integer and as a percentage of the total number of attempted entries.

### getBinCount

    public int getBinCount()

  The getBinCount method gets the number of bins in the histogram.

### getBinColorCount

    public int getBinColorCount()

  The getBinColorCount method gets the number of distinct bin colors allocated (by default, or by the user).

### getLowerBound

    public double getLowerBound()

  The getLowerBound method gets the lower bound on the histogram range.

### getUpperBound

    public double getUpperBound()

  The getUpperBound method gets the upper bound on the histogram range.

### getMin

    public double getMin()

  The getMin method gets the minimum value in the dataset.

### getMax

    public double getMax()

  The getMax method gets the maximum value in the dataset.

### getAverage

    public double getAverage()

  The getAverage method gets the average value in the dataset. The value is read out of the object, not computed everytime it is asked for.

### getStdDev

    public double getStdDev()

  The getStd method gets the standard deviation in the dataset. The value is read out of the object, not computed everytime it is asked for.

### getHistogram

    public Histogram getHistogram()

  Return the histogram widget.

### getTitle

    public java.lang.String getTitle()

  Return the title string.

### getFileName

    public java.lang.String getFileName()

  Return the filename string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD